Opgrader PHP på CentOS 5.1.x PHP 5.3 5.6

mest CMSLokaliteter, herunder Har minimumskravet for installation til en nyere version af 5.1.x pe . Den tutorial nedenfor viser dig nogle enkle trin, du kan opgradere PHP version PHP 5.1 5.3.x pe 5.6.

1. Først skal du stoppe web-server. (HTTPD tjeneste)

service httpd stopper

2. Klare 5.1.x PHP pakker installeret på serveren.

yum remove php php-*

3. Når du modtager bekræftelse på, at PHP pakker er slettet fra serveren, skal du gå til at installere pakker PHP 5.3.

Du installerer php53.i386
yum install-bcmath.i53 php386
yum installere php53-cli.i386
yum installere php53-common.i386
yum installere php53-dba.i386
yum install-devel.i53 php386
yum installere php53-gd.i386
yum install-imap.i53 php386
Du installerer php53-intl.i386
yum installere php53-ldap.i386
yum install-mbstring.i53 php386
yum install-mysql.i53 php386
yum installere php53-odbc.i386
yum installere php53-pdo.i386
yum install-pgsql.i53 php386
yum install-process.i53 php386
yum install-pspell.i53 php386
yum installere php53-snmp.i386
yum install-soap.i53 php386
yum install-xml.i53 php386
yum install-xmlrpc.i53 php386

Eller mere enkelt, installere alle pakker php53 *.

installere php53 *

4. Start Apache Web Server

service httpd start-

Pakker php53-pære, php53-mcrypt, php53-Mhash, php53-ODP, php53-PECL-Apc si php53-PECL-memcache ikke tilgængelig for CentOS 5.6.

Endelig kontrollere PHP5.3 version er blevet installeret. . Opret en Php (f.eks info.php.), Hvor du:

<? Php

phpinfo ();

phpinfo (INFO_MODULES);

?>

Klatre på serveren og adgang fil med Firefox adresse, , eller enhver anden webbrowser. Resultatet bør være:

php info

Du kan se, hvilken version af PHP er installeret på serveren, og kommandolinjen: php-v eller "yum liste installeret | grep php"(Viser alle PHP pakker installeret).

yum liste installeret php

- Opgrader / Install PHP på CentOS 5.3 5.6.

Opgrader PHP på CentOS 5.1.x PHP 5.3 5.6

Om forfatteren

Stealth LP

Stifter og redaktør stealth-indstillingerI 2006 dato.
Erfaring med Linux-operativsystemer (især CentOS), Mac OS X, Windows XP> Windows 10 og WordPress (CMS).

Efterlad en kommentar